org.apache.hc.core5.http.protocol

## Class RequestTargetHost

- java.lang.Object
- - org.apache.hc.core5.http.protocol.RequestTargetHost

- All Implemented Interfaces:
    HttpRequestInterceptor
  Direct Known Subclasses:
    H2RequestTargetHost

      @Contract(threading=IMMUTABLE)
      public class RequestTargetHost
      extends Object
      implements HttpRequestInterceptor

  RequestHostOutgoing is responsible for adding `Host` header to the outgoing message. This interceptor is required for client side protocol processors.
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestTargetHost()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(HttpRequest request, EntityDetails entity, HttpContext context)` Processes a request.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestTargetHost

          public RequestTargetHost()

  - ### Method Detail

    - #### process

          public void process(HttpRequest request,
                     EntityDetails entity,
                     HttpContext context)
                       throws HttpException,
                              IOException

      Description copied from interface: `HttpRequestInterceptor`
      Processes a request. On the client side, this step is performed before the request is sent to the server. On the server side, this step is performed on incoming messages before the message body is evaluated.
      Specified by:
        `process` in interface `HttpRequestInterceptor`
      Parameters:
        `request` - the request to process
        `entity` - the request entity details or `null` if not available
        `context` - the context for the request
      Throws:
        `HttpException` - in case of an HTTP protocol violation
        `IOException` - in case of an I/O error

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.